Package org.eclipse.rdf4j.query.resultio

## Class AbstractTupleQueryResultWriterTest

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultWriterTest

-     public abstract class AbstractTupleQueryResultWriterTest
      extends Object

  Generic tests for `TupleQueryResultWriter` implementations.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static ValueFactory` | `vf` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractTupleQueryResultWriterTest()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract RioSetting<?>[]` | `getExpectedSupportedSettings()` | Get the `RioSetting`s expected to be returned by `QueryResultWriter.getSupportedSettings()`.
    `protected abstract TupleQueryResultParserFactory` | `getParserFactory()` |
    `protected abstract TupleQueryResultWriterFactory` | `getWriterFactory()` |
    `void` | `testGetSupportedSettings()` |
    `void` | `testRDFStarHandling_DeepNesting()` |
    `void` | `testRDFStarHandling_NoEncoding()` |
    `void` | `testRDFStarHandling_WithEncoding()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vf

          protected static final ValueFactory vf

  - ### Constructor Detail

    - #### AbstractTupleQueryResultWriterTest

          public AbstractTupleQueryResultWriterTest()

  - ### Method Detail

    - #### testRDFStarHandling_WithEncoding

          @Test
          public void testRDFStarHandling_WithEncoding()
                                                throws Exception

      Throws:
        `Exception`

    - #### testRDFStarHandling_NoEncoding

          @Test
          public void testRDFStarHandling_NoEncoding()
                                              throws Exception

      Throws:
        `Exception`

    - #### testRDFStarHandling_DeepNesting

          @Test
          public void testRDFStarHandling_DeepNesting()
                                               throws Exception

      Throws:
        `Exception`

    - #### testGetSupportedSettings

          @Test
          public void testGetSupportedSettings()
                                        throws Exception

      Throws:
        `Exception`

    - #### getExpectedSupportedSettings

          protected abstract RioSetting<?>[] getExpectedSupportedSettings()

      Get the `RioSetting`s expected to be returned by `QueryResultWriter.getSupportedSettings()`. Used by `testGetSupportedSettings()` to determine if the output of `QueryResultWriter.getSupportedSettings()` is as expected for the concrete writer implementation.
      Returns:
        an array of `RioSetting`s.

    - #### getParserFactory

          protected abstract TupleQueryResultParserFactory getParserFactory()

    - #### getWriterFactory

          protected abstract TupleQueryResultWriterFactory getWriterFactory()